Subject: Bug#989381: lintian: spelling-error-in-copyright is triggering on names

From: Gard Spreemann <[email-masked]>
Date: Wed, 02 Jun 2021 11:31:05 +0200

Package: lintian
Version: 2.104.0
Severity: normal
X-Debbugs-Cc: [email-masked]

Dear Maintainer,

Lintian is triggering spelling-error-in-copyright upon seeing my first
name (Gard) in the copyright field of some packages (example: [1]). It
suggests that I should be named Guard instead. A bug filed with my
parents was closed with wontfix, so I'll try the second best thing.

I do not know how one would go about exempting names from such
spellchecks, but could one perhaps at least whitelist the known
quantity that is the maintainer's name?

The bug seems at least superficially similar to #922233.

[1] https://lintian.debian.org/sources/python-cdsapi

 Best,
 Gard

-- System Information:
Debian Release: 11.0
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'testing-security')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 5.10.0-6-amd64 (SMP w/6 CPU threads)
Kernel taint flags: TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US:en
Shell: /bin/sh linked to /usr/bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages lintian depends on:
ii  binutils                        2.35.2-2
ii  bzip2                           1.0.8-4
ii  diffstat                        1.64-1
ii  dpkg                            1.20.9
ii  dpkg-dev                        1.20.9
ii  file                            1:5.39-3
ii  gettext                         0.21-4
ii  gpg                             2.2.27-2
ii  intltool-debian                 0.35.0+20060710.5
ii  libapt-pkg-perl                 0.1.39
ii  libarchive-zip-perl             1.68-1
ii  libcapture-tiny-perl            0.48-1
ii  libclass-xsaccessor-perl        1.19-3+b7
ii  libclone-perl                   0.45-1+b1
ii  libconfig-tiny-perl             2.26-1
ii  libcpanel-json-xs-perl          4.25-1+b1
ii  libdata-dpath-perl              0.58-1
ii  libdata-validate-domain-perl    0.10-1.1
ii  libdevel-size-perl              0.83-1+b2
ii  libdpkg-perl                    1.20.9
ii  libemail-address-xs-perl        1.04-1+b3
ii  libfile-basedir-perl            0.08-1
ii  libfile-find-rule-perl          0.34-1
ii  libfont-ttf-perl                1.06-1.1
ii  libhtml-html5-entities-perl     0.004-1.1
ii  libipc-run3-perl                0.048-2
ii  libjson-maybexs-perl            1.004003-1
ii  liblist-compare-perl            0.55-1
ii  liblist-moreutils-perl          0.430-2
ii  liblist-utilsby-perl            0.11-1
ii  libmoo-perl                     2.004004-1
ii  libmoox-aliases-perl            0.001006-1.1
ii  libnamespace-clean-perl         0.27-1
ii  libpath-tiny-perl               0.118-1
ii  libperlio-gzip-perl             0.19-1+b7
ii  libproc-processtable-perl       0.59-2+b1
ii  libsereal-decoder-perl          4.018+ds-1+b1
ii  libsereal-encoder-perl          4.018+ds-1+b1
ii  libtext-glob-perl               0.11-1
ii  libtext-levenshteinxs-perl      0.03-4+b8
ii  libtext-markdown-discount-perl  0.12-1+b1
ii  libtext-xslate-perl             3.5.8-1+b1
ii  libtime-duration-perl           1.21-1
ii  libtime-moment-perl             0.44-1+b3
ii  libtimedate-perl                2.3300-2
ii  libtry-tiny-perl                0.30-1
ii  libtype-tiny-perl               1.012001-2
ii  libunicode-utf8-perl            0.62-1+b2
ii  liburi-perl                     5.08-1
ii  libxml-libxml-perl              2.0134+dfsg-2+b1
ii  libyaml-libyaml-perl            0.82+repack-1+b1
ii  lzip                            1.22-3
ii  lzop                            1.04-2
ii  man-db                          2.9.4-2
ii  patchutils                      0.4.2-1
ii  perl [libdigest-sha-perl]       5.32.1-4
ii  t1utils                         1.41-4
ii  unzip                           6.0-26
ii  xz-utils                        5.2.5-2

lintian recommends no packages.

Versions of packages lintian suggests:
pn  binutils-multiarch     <none>
pn  libtext-template-perl  <none>

-- no debconf information